# Uses of Interface
org.apache.commons.math3.ml.neuralnet.sofm.NeighbourhoodSizeFunction

Packages that use NeighbourhoodSizeFunction
Package
Description
org.apache.commons.math3.ml.neuralnet.sofm
Self Organizing Feature Map.

## Uses of NeighbourhoodSizeFunction in org.apache.commons.math3.ml.neuralnet.sofm

Methods in org.apache.commons.math3.ml.neuralnet.sofm that return NeighbourhoodSizeFunction
Modifier and Type
Method
Description
`static NeighbourhoodSizeFunction`
NeighbourhoodSizeFunctionFactory.`exponentialDecay(double initValue, double valueAtNumCall, long numCall)`
Creates an exponential decay `function`.
`static NeighbourhoodSizeFunction`
NeighbourhoodSizeFunctionFactory.`quasiSigmoidDecay(double initValue, double slope, long numCall)`
Creates an sigmoid-like `NeighbourhoodSizeFunction function`.
Constructors in org.apache.commons.math3.ml.neuralnet.sofm with parameters of type NeighbourhoodSizeFunction
Modifier
Constructor
Description
``
`KohonenUpdateAction(DistanceMeasure distance, LearningFactorFunction learningFactor, NeighbourhoodSizeFunction neighbourhoodSize)`